
plugins {
    kotlin("jvm")
}

repositories {
    mavenCentral()
}

val gsonDepVersion: String by project
val specifyKotlinAsDependency: String by project
val fastutilVersion: String by project

dependencies {
    testImplementation("org.jetbrains.kotlin:kotlin-test")

    implementation("com.google.code.gson:gson:$gsonDepVersion")
    implementation(project(":"))
    implementation("it.unimi.dsi:fastutil:$fastutilVersion")
}

publishing {
    publications {
        create<MavenPublication>("mavenJava") {
            from(components["java"])
            artifact(tasks["sourceJar"])
            artifactId = "kommons-gson"

            pom {
                dependencies {
                    if (specifyKotlinAsDependency.toBoolean()) implementation(kotlin("stdlib"))
                    implementation("com.google.guava:guava:[2.0,)")
                    implementation("it.unimi.dsi:fastutil:[8.0,)")
                    implementation(project(":"))
                }
            }
        }
    }
}
